package jalview.util.imagemaker;

import jalview.bin.Cache;

public class BitmapImageSizing
{
  public final float scale;

  public final int width;

  public final int height;

  public BitmapImageSizing(float scale, int width, int height)
  {
    this.scale = scale;
    this.width = width;
    this.height = height;
  }

  public static BitmapImageSizing nullBitmapImageSizing()
  {
    return new BitmapImageSizing(0.0f, 0, 0);
  }
  
  public static final String BITMAP_SCALE = "BITMAP_SCALE";

  public static final String BITMAP_HEIGHT = "BITMAP_HEIGHT";

  public static final String BITMAP_WIDTH = "BITMAP_WIDTH";

  /**
   * 
   * @return bean configured from Cache keys
   */
  public static BitmapImageSizing defaultBitmapImageSizing()
  {
    
    return new BitmapImageSizing(Cache.getDefault(BITMAP_SCALE,0)/10f,Cache.getDefault(BITMAP_WIDTH,0),Cache.getDefault(BITMAP_HEIGHT,0));
    
  }
}
